long WINAPI ConfigDialogProc(HANDLE hDlg, int Msg,int Param1,long Param2)
{
  return Info.DefDlgProc(hDlg,Msg,Param1,Param2);
}

int Config()
{
  //Show dialog
  /*
    0000000000111111111122222222223333333333444444444455555555556666666666777777
    0123456789012345678901234567890123456789012345678901234567890123456789012345
  00                                                                            00
  01    Event viewer ͻ   01
  02    [x] Add to Disks menu                                                 02
  03      2 Disks menu hotkey ('1'-'9'). Leave empty to autoassign            03
  04    [ ] Add to Plugins menu                                               04
  05   Ķ   05
  06    [ ] Browse .evt files                                                 06
  07   Ķ   07
  08    (*) Scan forward                                                      08
  09    ( ) Scan backward                                                     09
  10   Ķ   10
  11    Command line prefix to start the nt events:                           11
  12    evt                                                                   12
  13   Ķ   13
  14                            [ Ok ]  [ Cancel ]                            14
  15   ͼ   15
  16                                                                            16
    0000000000111111111122222222223333333333444444444455555555556666666666777777
    0123456789012345678901234567890123456789012345678901234567890123456789012345
  */

  static struct InitDialogItem InitItems[]={
  /* 0*/  {DI_DOUBLEBOX,3,1,72,15,0,0,0,0,(char *)mName},
  /* 1*/  {DI_CHECKBOX,5,2,0,0,0,0,0,0,(char *)mConfigAddToDisksMenu},
  /* 2*/  {DI_FIXEDIT,7,3,7,3,1,0,0,0,""},
  /* 3*/  {DI_TEXT,9,3,0,0,0,0,0,0,(char *)mConfigDisksMenuDigit},
  /* 4*/  {DI_CHECKBOX,5,4,0,0,0,0,0,0,(char *)mConfigAddToPluginMenu},
  /* 5*/  {DI_TEXT,-1,5,0,0,0,0,DIF_SEPARATOR,0,""},
  /* 6*/  {DI_CHECKBOX,5,6,0,0,0,0,0,0,(char *)mConfigBrowseEvtFiles},
  /* 7*/  {DI_TEXT,-1,7,0,0,0,0,DIF_SEPARATOR,0,""},
  /* 8*/  {DI_RADIOBUTTON,5,8,0,0,0,0,DIF_GROUP,0,(char *)mConfigScan1},
  /* 9*/  {DI_RADIOBUTTON,5,9,0,0,0,0,0,0,(char *)mConfigScan2},
  /*10*/  {DI_TEXT,-1,10,0,0,0,0,DIF_SEPARATOR,0,""},
  /*11*/  {DI_TEXT,5,11,0,0,0,0,0,0,(char *)mConfigPrefix},
  /*12*/  {DI_FIXEDIT,5,12,19,12,0,(int)"AAAAAAAAAAAAAAA",DIF_MASKEDIT,0,""},
  /*13*/  {DI_TEXT,-1,13,0,0,0,0,DIF_SEPARATOR,0,""},
  /*14*/  {DI_BUTTON,0,14,0,0,0,0,DIF_CENTERGROUP,1,(char *)mConfigSave},
  /*15*/  {DI_BUTTON,0,14,0,0,0,0,DIF_CENTERGROUP,0,(char *)mConfigCancel}
  };
  struct FarDialogItem DialogItems[sizeof(InitItems)/sizeof(InitItems[0])];
  InitDialogItems(InitItems,DialogItems,sizeof(InitItems)/sizeof(InitItems[0]));

  DialogItems[1].Selected=Opt.AddToDisksMenu;
  if (Opt.DisksMenuDigit)
    sprintf(DialogItems[2].Data,"%d",Opt.DisksMenuDigit);
  DialogItems[4].Selected=Opt.AddToPluginsMenu;
  DialogItems[6].Selected=Opt.BrowseEvtFiles;
  DialogItems[8+Opt.ScanType].Selected=1;
  sprintf(DialogItems[12].Data,"%s",Opt.Prefix);
  
  int DlgCode=Info.DialogEx(Info.ModuleNumber,-1,-1,76,17,"Config",DialogItems,(sizeof(DialogItems)/sizeof(DialogItems[0])),0,0,ConfigDialogProc,0);
  if (DlgCode!=14)
    return(FALSE);
  Opt.AddToDisksMenu=DialogItems[1].Selected;
  Opt.DisksMenuDigit=FSF.atoi(DialogItems[2].Data);
  Opt.AddToPluginsMenu=DialogItems[4].Selected;
  Opt.BrowseEvtFiles=DialogItems[6].Selected;
  sprintf(Opt.Prefix,"%s",DialogItems[12].Data);
  FSF.Trim(Opt.Prefix);
  int i=8;
  Opt.ScanType=0;
  while(!DialogItems[i].Selected) {i++; Opt.ScanType++;}
  HKEY hKey;
  DWORD Disposition;
  if((RegCreateKeyEx(HKEY_CURRENT_USER,PluginRootKey,0,NULL,0,KEY_WRITE,NULL,&hKey,&Disposition)) == ERROR_SUCCESS)
  {
    RegSetValueEx(hKey,"AddToDisksMenu",0,REG_DWORD,(LPBYTE)&Opt.AddToDisksMenu,sizeof(Opt.AddToDisksMenu));
    RegSetValueEx(hKey,"DisksMenuDigit",0,REG_DWORD,(LPBYTE)&Opt.DisksMenuDigit,sizeof(Opt.DisksMenuDigit));
    RegSetValueEx(hKey,"AddToPluginsMenu",0,REG_DWORD,(LPBYTE)&Opt.AddToPluginsMenu,sizeof(Opt.AddToPluginsMenu));
    RegSetValueEx(hKey,"BrowseEvtFiles",0,REG_DWORD,(LPBYTE)&Opt.BrowseEvtFiles,sizeof(Opt.BrowseEvtFiles));
    RegSetValueEx(hKey,"ScanType",0,REG_DWORD,(LPBYTE)&Opt.ScanType,sizeof(Opt.ScanType));
    RegSetValueEx(hKey,"Prefix",0,REG_SZ,(LPBYTE)Opt.Prefix,sizeof(Opt.Prefix));
    RegCloseKey(hKey);
  }
  return(TRUE);
}
