enum {
  mName,
  mNameDisk,
  mRootName,
  mRegApplication,
  mRegSecurity,
  mRegSystem,
  mExtMain,
  mExtError,
  mExtWarning,
  mExtInformation,
  mExtAuditSuccess,
  mExtAuditFailure,
  mExtNameError,
  mFileDate,
  mFileTime,
  mFileUser,
  mFileComputer,
  mFileEventID,
  mFileSource,
  mFileType,
  mFileCategory,
  mFileDescription,
  mFileData,
  mFileErr1,
  mFileErr2,
  mTypeError,
  mTypeWarning,
  mTypeInformation,
  mTypeSuccessAudit,
  mTypeFailureAudit,
  mTypeUnknown,
  mTitleTime,
  mTitleSource,
  mTitleCategory,
  mTitleEvent,
  mTitleUser,
  mTitleComputer,
  mPanelTypeDir0,
  mPanelSizeDir0,
  mPanelFullDir0,
  mPanelTypeDir1,
  mPanelSizeDir1,
  mPanelFullDir1,
  mPanelTypeDir2,
  mPanelSizeDir2,
  mPanelFullDir2,
  mPanelTypeDir3,
  mPanelSizeDir3,
  mPanelFullDir3,
  mPanelTypeDir4,
  mPanelSizeDir4,
  mPanelFullDir4,
  mPanelTypeDir5,
  mPanelSizeDir5,
  mPanelFullDir5,
  mPanelTypeDir6,
  mPanelSizeDir6,
  mPanelFullDir6,
  mPanelTypeDir7,
  mPanelSizeDir7,
  mPanelFullDir7,
  mPanelTypeDir8,
  mPanelSizeDir8,
  mPanelFullDir8,
  mPanelTypeDir9,
  mPanelSizeDir9,
  mPanelFullDir9,
  mPanelTypeFile0,
  mPanelSizeFile0,
  mPanelFullFile0,
  mPanelTypeFile1,
  mPanelSizeFile1,
  mPanelFullFile1,
  mPanelTypeFile2,
  mPanelSizeFile2,
  mPanelFullFile2,
  mPanelTypeFile3,
  mPanelSizeFile3,
  mPanelFullFile3,
  mPanelTypeFile4,
  mPanelSizeFile4,
  mPanelFullFile4,
  mPanelTypeFile5,
  mPanelSizeFile5,
  mPanelFullFile5,
  mPanelTypeFile6,
  mPanelSizeFile6,
  mPanelFullFile6,
  mPanelTypeFile7,
  mPanelSizeFile7,
  mPanelFullFile7,
  mPanelTypeFile8,
  mPanelSizeFile8,
  mPanelFullFile8,
  mPanelTypeFile9,
  mPanelSizeFile9,
  mPanelFullFile9,
  mCpyDlgCopyTitle,
  mCpyDlgMoveTitle,
  mCpyDlgCopyOk,
  mCpyDlgMoveOk,
  mCpyDlgCancel,
  mCpyDlgCopyTox1,
  mCpyDlgCopyTo234,
  mCpyDlgCopyToN,
  mCpyDlgMoveTox1,
  mCpyDlgMoveTo234,
  mCpyDlgMoveToN,
  mClearLog,
  mConfigAddToDisksMenu,
  mConfigDisksMenuDigit,
  mConfigAddToPluginMenu,
  mConfigBrowseEvtFiles,
  mConfigScan1,
  mConfigScan2,
  mConfigPrefix,
  mConfigSave,
  mConfigCancel,
  mSelCompTitle,
  mSelCompLabel,
  mSelCompFootnote,
  mExistSource,
  mExistDestination,
  mExistDestAlreadyExists,
  mExistAcceptChoice,
  mExistOverwrite,
  mExistSkip,
  mExistAppend,
  mExistCancel,
  mRetryError,
  mRetryFrom,
  mRetryTo,
  mRetryRetry,
  mRetrySkip,
  mRetryCancel,
  mClearCancel,
  mClearClear,
  mClearSkip,
  mOtherConnecting,
  mOtherScanning,
  mErr1,
  mErr2,
  mKeyBackup,
  mKeyMove,
  mKeyClear,
  mKeyRemote,
  mOk,
};

enum {
  atNone,
  atOverwrite,
  atSkip,
  atAppend,
};

enum {
  rRetry,
  rSkip,
  rCancel,
};

#define FAR165_INFO_SIZE 336
#define EVENT_START_TIME 116444736000000000ULL
#define EVENTLOG_KEY "SYSTEM\\CurrentControlSet\\Services\\EventLog"
#define SMALL_BUFFER 16*1024
#define BIG_BUFFER  128*1024

struct EventViewer
{
  char path[MAX_PATH];
  char computer[MAX_PATH];
  char computer_oem[MAX_PATH];
  char *computer_ptr;
  int level;
};